<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>Uses of Package fr.inria.alpage.frmgcm.corpus</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Package fr.inria.alpage.frmgcm.corpus";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package fr.inria.alpage.frmgcm.corpus" class="title">Uses of Package<br>fr.inria.alpage.frmgcm.corpus</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.corpus">fr.inria.alpage.frmgcm.corpus</a></td>
<td class="colLast">
<div class="block">This package contains model definition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.corpus.format">fr.inria.alpage.frmgcm.corpus.format</a></td>
<td class="colLast">
<div class="block">This package contains the graph format definitions</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.services">fr.inria.alpage.frmgcm.services</a></td>
<td class="colLast">
<div class="block">This package contains classes defining service endpoints reachable via the http server run by the application.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.corpus">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Corpus.html#fr.inria.alpage.frmgcm.corpus">Corpus</a>
<div class="block">This class reflects corpus object in db and provides all the methods related to corpus management</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Corpus.OARSubParams.html#fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a>
<div class="block">Default params for cluster resource allocation</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Document.html#fr.inria.alpage.frmgcm.corpus">Document</a>
<div class="block">This class handle a file source contained in a corpus and reflects its counter part in mongodb, it also provides method associated with the document object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Document.DocumentRevision.html#fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a>
<div class="block">This class is used to store revision information of a document, in particular changes in graph revisions</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Document.SentenceInfo.html#fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/SentenceCollection.html#fr.inria.alpage.frmgcm.corpus">SentenceCollection</a>
<div class="block">This class allows handling multiple graphs as a collection (coherence conflict with <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> class...)</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.corpus.format">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/corpus/format/package-summary.html">fr.inria.alpage.frmgcm.corpus.format</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Document.html#fr.inria.alpage.frmgcm.corpus.format">Document</a>
<div class="block">This class handle a file source contained in a corpus and reflects its counter part in mongodb, it also provides method associated with the document object</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.services">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/services/package-summary.html">fr.inria.alpage.frmgcm.services</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/corpus/class-use/Corpus.html#fr.inria.alpage.frmgcm.services">Corpus</a>
<div class="block">This class reflects corpus object in db and provides all the methods related to corpus management</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
